

/*
 * Include Files
 *
 */
#if defined(MATLAB_MEX_FILE)
#include "tmwtypes.h"
#include "simstruc_types.h"
#else
#include "rtwtypes.h"
#endif



/* %%%-SFUNWIZ_wrapper_includes_Changes_BEGIN --- EDIT HERE TO _END */
#include <math.h>

#ifndef MATLAB_MEX_FILE

#define Arduino 100
#define NOP __asm__ __volatile__ ("nop\n\t")

#include "Arduino.h"

#include "spi.h"
#include "spi.cpp"

const byte MAX1_CS = 24;  // CS pin 24

                          // SO  pin 50 Mega 2560
                          // CLK pin 52 Mega 2560

float MAX_6675(int CS)
        {
          unsigned int KTemp = 0;
          float Celius = 0;
          digitalWrite(CS, LOW);
          NOP;                                  // delay 62.5ns on a 16MHz AtMega, 100ns erforderlich
          NOP;
          byte MSB = SPI.transfer(0);           // hherwertiges Byte einlesen, D15 ... D8
          byte LSB = SPI.transfer(0);           // niederwertiges Byte einlesen, D7 ... D0
          digitalWrite(CS, HIGH);
          KTemp = MSB << 8;  
          KTemp = KTemp | LSB;
          KTemp = KTemp >> 3;
          Celius = (float) (KTemp * 0.25);
          return Celius;
        }

#endif
/* %%%-SFUNWIZ_wrapper_includes_Changes_END --- EDIT HERE TO _BEGIN */
#define y_width 1
/*
 * Create external references here.  
 *
 */
/* %%%-SFUNWIZ_wrapper_externs_Changes_BEGIN --- EDIT HERE TO _END */
/* extern double func(double a); */
/* %%%-SFUNWIZ_wrapper_externs_Changes_END --- EDIT HERE TO _BEGIN */

/*
 * Output functions
 *
 */
extern "C" void TEMP_SPI_S_FUNCTION_Outputs_wrapper(real_T *y0,
			const real_T *xD)
{
/* %%%-SFUNWIZ_wrapper_Outputs_Changes_BEGIN --- EDIT HERE TO _END */
/* This sample sets the output equal to the input
      y0[0] = u0[0]; 
 For complex signals use: y0[0].re = u0[0].re; 
      y0[0].im = u0[0].im;
      y1[0].re = u1[0].re;
      y1[0].im = u1[0].im;
*/

if(xD[0]==1)
{
    #ifndef   MATLAB_MEX_FILE
    
       y0[0]((MAX6675(MAX1_CS),2));
    
      
    #endif
}
/* %%%-SFUNWIZ_wrapper_Outputs_Changes_END --- EDIT HERE TO _BEGIN */
}

/*
 * Updates function
 *
 */
extern "C" void TEMP_SPI_S_FUNCTION_Update_wrapper(real_T *y0,
			real_T *xD)
{
/* %%%-SFUNWIZ_wrapper_Update_Changes_BEGIN --- EDIT HERE TO _END */
/*
 * Code example
 *   xD[0] = u0[0];
*/


if (xD[0] !=1)
{
#ifndef MATLAB_MEX_FILE
    
  SPI.begin();
  
  pinMode(53, OUTPUT);                    // wegen SPI Funktion notwendig
    
  digitalWrite(MAX1_CS, HIGH);  // CS High Pegel
//  digitalWrite(MAX2_CS, HIGH);  
//  digitalWrite(MAX3_CS, HIGH);    

  pinMode(MAX1_CS, OUTPUT);     // CS Pin Ausgang
//  pinMode(MAX2_CS, OUTPUT);    
//  pinMode(MAX3_CS, OUTPUT);   
  
  #endif
  
  xD[0]=1; 
  
}


/* %%%-SFUNWIZ_wrapper_Update_Changes_END --- EDIT HERE TO _BEGIN */
}
